GNU bug report logs - #35743
guix import hackage: fails with mixed indentation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Robert Vollmert <rob@HIDDEN>; dated Wed, 15 May 2019 09:13:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'guix import hackage: fails with mixed indentation' from 'guix import hackage wai-app-static fails (comment syntax?)' Request was from Robert Vollmert <rob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35743 <at> debbugs.gnu.org:


Received: (at 35743) by debbugs.gnu.org; 24 May 2019 15:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 24 11:28:17 2019
Received: from localhost ([127.0.0.1]:47063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUC7E-0007im-Ty
	for submit <at> debbugs.gnu.org; Fri, 24 May 2019 11:28:17 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:27372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hUC7C-0007iT-Ni
 for 35743 <at> debbugs.gnu.org; Fri, 24 May 2019 11:28:15 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id 8AAAD50733
 for <35743 <at> debbugs.gnu.org>; Fri, 24 May 2019 17:28:07 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id EskFFTW5DLDg for <35743 <at> debbugs.gnu.org>;
 Fri, 24 May 2019 17:28:02 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: applies more widely
Message-Id: <EC2DBF3E-C144-492F-86B8-C38D4418608A@HIDDEN>
Date: Fri, 24 May 2019 17:28:01 +0200
To: 35743 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35743
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

The problem seems more wide-spread, so should probably be fixed within =
import/cabal.scm.

E.g. warp:

http://hackage.haskell.org/package/warp-3.2.27/warp.cabal
=
http://hackage.haskell.org/package/streaming-commons-0.2.1.0/streaming-com=
mons.cabal

contain things along the following lines:

benchmark builder-to-bytestring-io
    ...
    build-depends:  base
                  , bytestring >=3D 0.10.2
                  , gauge
                  , deepseq
                  , streaming-commons

  if flag(use-bytestring-builder)
    build-depends:     bytestring < 0.10.2.0
                     , bytestring-builder

This kind of out-dented conditional seems not very rare.





Information forwarded to bug-guix@HIDDEN:
bug#35743; Package guix. Full text available.

Message received at 35743 <at> debbugs.gnu.org:


Received: (at 35743) by debbugs.gnu.org; 22 May 2019 07:28:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 03:28:07 2019
Received: from localhost ([127.0.0.1]:41484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hTLfT-0008AX-8A
	for submit <at> debbugs.gnu.org; Wed, 22 May 2019 03:28:07 -0400
Received: from mx2.mailbox.org ([80.241.60.215]:52372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hTLfP-00089w-Ur
 for 35743 <at> debbugs.gnu.org; Wed, 22 May 2019 03:28:04 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id 4D74DA2741
 for <35743 <at> debbugs.gnu.org>; Wed, 22 May 2019 09:27:56 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id U6bAFIcO4A3O for <35743 <at> debbugs.gnu.org>;
 Wed, 22 May 2019 09:27:45 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: fixed upstream
Message-Id: <DE571426-7F76-43B9-B272-B43501F4A72E@HIDDEN>
Date: Wed, 22 May 2019 09:27:44 +0200
To: 35743 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35743
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This specific case has been fixed upstream, and should eventually
make it to hackage:

https://github.com/yesodweb/wai/pull/748

The issue does remain in the sense that `guix import` doesn=E2=80=99t =
parse
some such cabal files that `cabal` is happy with =E2=80=94 mark done =
anyway?=




Information forwarded to bug-guix@HIDDEN:
bug#35743; Package guix. Full text available.

Message received at 35743 <at> debbugs.gnu.org:


Received: (at 35743) by debbugs.gnu.org; 15 May 2019 09:21:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 15 05:21:55 2019
Received: from localhost ([127.0.0.1]:50965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQq6l-0004o7-Fb
	for submit <at> debbugs.gnu.org; Wed, 15 May 2019 05:21:55 -0400
Received: from mx2.mailbox.org ([80.241.60.215]:33618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hQq6j-0004ns-Br
 for 35743 <at> debbugs.gnu.org; Wed, 15 May 2019 05:21:54 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id A7B4EA019E
 for <35743 <at> debbugs.gnu.org>; Wed, 15 May 2019 11:21:46 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id km9DLVardmFF for <35743 <at> debbugs.gnu.org>;
 Wed, 15 May 2019 11:21:43 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.8\))
Subject: indentation error
Message-Id: <C15F98B1-401E-4213-82C4-E6983AFA5AB5@HIDDEN>
Date: Wed, 15 May 2019 11:21:42 +0200
To: 35743 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35743
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I learned about `guix import hackage --stdin`, and it turns out the =
problem is with bad indentation in the cabal file. (The offending line =
is indented by two spaces instead of four spaces for the block before.) =
It=E2=80=99s unclear to me whether this is a =E2=80=9Cvalid=E2=80=9D =
cabal file as it is.





Information forwarded to bug-guix@HIDDEN:
bug#35743; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 May 2019 09:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 15 05:12:54 2019
Received: from localhost ([127.0.0.1]:50958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQpy2-0004aY-Hx
	for submit <at> debbugs.gnu.org; Wed, 15 May 2019 05:12:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hQpy0-0004aK-Hc
 for submit <at> debbugs.gnu.org; Wed, 15 May 2019 05:12:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:54476)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rob@HIDDEN>) id 1hQpxu-0002o7-Ja
 for submit <at> debbugs.gnu.org; Wed, 15 May 2019 05:12:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47995)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rob@HIDDEN>) id 1hQpxt-0008JR-Ev
 for bug-guix@HIDDEN; Wed, 15 May 2019 05:12:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rob@HIDDEN>) id 1hQpxr-0002j0-ET
 for bug-guix@HIDDEN; Wed, 15 May 2019 05:12:45 -0400
Received: from mx2a.mailbox.org ([2001:67c:2050:104:0:2:25:2]:54940
 helo=mx2.mailbox.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rob@HIDDEN>) id 1hQpxn-0002TW-UB
 for bug-guix@HIDDEN; Wed, 15 May 2019 05:12:41 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id 9FDC2A01C8
 for <bug-guix@HIDDEN>; Wed, 15 May 2019 11:12:34 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id hou7Ssv1RamP for <bug-guix@HIDDEN>;
 Wed, 15 May 2019 11:12:30 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.8\))
Subject: guix import hackage wai-app-static fails (comment syntax?)
Message-Id: <549E7618-EE8E-47FD-A026-3AB32E96B0AC@HIDDEN>
Date: Wed, 15 May 2019 11:12:28 +0200
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:67c:2050:104:0:2:25:2
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

$ guix import hackage wai-app-static
Syntax error: unexpected token : (ghc-options (-Wall)) (at line 106, =
column 2)

The relevant extract of the cabal file is:

test-suite runtests
[=E2=80=A6]
    build-depends:   base                      >=3D 4        && < 5
[=E2=80=A6]
                   , mockery
                   -- , containers
  ghc-options:   -Wall

Presumably the double dash comment is tripping `guix import` up.=




Acknowledgement sent to Robert Vollmert <rob@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35743; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jun 2019 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.